Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236247 - CVE-2007-2028 Freeradius EAP-TTLS denial of service
Summary: CVE-2007-2028 Freeradius EAP-TTLS denial of service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: freeradius
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard: impact=moderate,source=freeradius,pub...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 17:31 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0338
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-10 16:04:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upstream Patch (deleted)
2007-04-12 17:31 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0338 normal SHIPPED_LIVE Moderate: freeradius security update 2008-01-07 19:49:39 UTC

Description Josh Bressers 2007-04-12 17:31:12 UTC
A flaw was found in the way FreeRADIUS parses certain authentication requests.
The upstream description explain it as such:
http://www.freeradius.org/security.html

    2007.04.10 v1.1.5, and earlier - A malicous 802.1x supplicant could send
    malformed Diameter format attributes inside of an EAP-TTLS tunnel. The
    server would reject the authentication request, but would leak one
    VALUE_PAIR data structure, of approximately 300 bytes. If an attacker
    performed the attack many times (e.g. thousands or more over a period of
    minutes to hours), the server could leak megabytes of memory, potentially
    leading to an "out of memory" condition, and early process exit.

    We recommend that administrators using EAP-TTLS upgrade immediately.
    This bug was found as part of the Coverity Scan project.

The EAP-TTLS support is not enabled by default in any FreeRADIUS
installations.


This flaw also affects RHEL 3 and 4.

Comment 1 Josh Bressers 2007-04-12 17:31:12 UTC
Created attachment 152488 [details]
Upstream Patch

Comment 11 Red Hat Bugzilla 2007-05-10 16:04:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0338.html



Note You need to log in before you can comment on or make changes to this bug.